Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::audio_clip_node Class Reference

Inheritance diagram for openvrml::vrml97_node::audio_clip_node:

[legend]
List of all members.

## Detailed Description

AudioClip node instances.

Todo:
  Implement sound support.

## Public Member Functions

| audio_clip_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~audio_clip_node () throw ()
| Destroy.
void | update (double time)
| Called to update the AudioClip for the current time.
virtual audio_clip_node * | to_audio_clip () const
| Cast to an audio_clip_node node.

## Private Member Functions

virtual void | do_initialize (double timestamp) throw (std::bad_alloc)
| Initialize.
virtual void | do_shutdown (double timestamp) throw ()
| Shut down.

## Private Attributes

exposedfield< sfstring > | description_
| description exposedField.
exposedfield< sfbool > | loop_
| loop exposedField.
exposedfield< sffloat > | pitch_
| pitch exposedField.
exposedfield< sftime > | start_time_
| startTime exposedField.
exposedfield< sftime > | stop_time_
| stopTime exposedField.
exposedfield< mfstring > | url_
| url exposedField.
sftime | duration_changed_
| duration_changed eventOut value.
sftime_emitter | duration_changed_emitter_
| duration_changed eventOut emitter.
sfbool | is_active_
| isActive eventOut value.
sfbool_emitter | is_active_emitter_
| isActive eventOut emitter.

## Friends

class | audio_clip_class
| Class object for AudioClip nodes.

## Constructor & Destructor Documentation

openvrml::vrml97_node::audio_clip_node::audio_clip_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::audio_clip_node::~audio_clip_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::vrml97_node::audio_clip_node::update | ( | double | time | ) |

Called to update the AudioClip for the current time.

Parameters:

  | time | the current time.

Todo:
  Implement me!

audio_clip_node * openvrml::vrml97_node::audio_clip_node::to_audio_clip | ( |  | ) | const`[virtual]`

Cast to an audio_clip_node node.

Returns:
  a pointer to this node.

Reimplemented from openvrml::node.

void openvrml::vrml97_node::audio_clip_node::do_initialize | ( | double | timestamp | ) | throw (std::bad_alloc)`[private, virtual]`

Initialize.

Parameters:

  | timestamp | the current time.

Exceptions:

  | std::bad_alloc | if memory allocation fails.

Reimplemented from openvrml::node.

void openvrml::vrml97_node::audio_clip_node::do_shutdown | ( | double | timestamp | ) | throw ()`[private, virtual]`

Shut down.

Parameters:

  | timestamp | the current time.

Reimplemented from openvrml::node.

## Friends And Related Function Documentation

openvrml::vrml97_node::audio_clip_node::audio_clip_class`[friend]`

| Class object for AudioClip nodes.

## Member Data Documentation

exposedfield< sfstring > openvrml::vrml97_node::audio_clip_node::description_ `[private]`

| description exposedField.

exposedfield< sfbool > openvrml::vrml97_node::audio_clip_node::loop_ `[private]`

| loop exposedField.

exposedfield< sffloat > openvrml::vrml97_node::audio_clip_node::pitch_ `[private]`

| pitch exposedField.

exposedfield< sftime > openvrml::vrml97_node::audio_clip_node::start_time_ `[private]`

| startTime exposedField.

exposedfield< sftime > openvrml::vrml97_node::audio_clip_node::stop_time_ `[private]`

| stopTime exposedField.

exposedfield< mfstring > openvrml::vrml97_node::audio_clip_node::url_ `[private]`

| url exposedField.

sftime openvrml::vrml97_node::audio_clip_node::duration_changed_ `[private]`

| duration_changed eventOut value.

sftime_emitter openvrml::vrml97_node::audio_clip_node::duration_changed_emitter_ `[private]`

| duration_changed eventOut emitter.

sfbool openvrml::vrml97_node::audio_clip_node::is_active_ `[private]`

| isActive eventOut value.

sfbool_emitter openvrml::vrml97_node::audio_clip_node::is_active_emitter_ `[private]`

| isActive eventOut emitter.